MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023071Community[OCCT] OCCT:Application Frameworkpublic2012-04-05 13:162012-11-16 13:16
Reportermlh 
Assigned Toszy 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.0 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023071: Comparison of file extension is case sensitive
DescriptionIf you try to save a file with a file extension in capital letters
like testcase.XML the file becomes saved as testcase.XML.xml because the check if the file extension is already in the name is done case sensitiv in the FWOSDriver_Driver::SetName method.
For the platform WNT this comparison should be done regardless of the case of the filename because windows is not case sensitive.
Steps To ReproduceTry to save a file testcase.XML and you will see the problem.
Additional information
and documentation updates
A modified FWOSDriver_Driver.cxx file is attached. It makes a temporary copy of the filename and the extensions and makes both lowercase for comparison. For other platforms nothing changes.
TagsNo tags attached.
Test case numberchl 934 Z8
Attached Filescxx file icon FWOSDriver_Driver.cxx (5,470 bytes) 2012-04-05 13:16
? file icon Z8 (2,022 bytes) 2012-04-17 17:46

- Relationships

-  Notes
(0020358)
szy (administrator)
2012-04-12 15:25

Fixed in branch CR23071. It makes a temporary copy of the filename and its extension and converts both to lowercase for comparison.
Review it, please.
(0020359)
vro (developer)
2012-04-12 16:05

Reviewed!
(0020406)
mkv (tester)
2012-04-17 17:46

Dear BugMaster,
Workbench KAS:dev:mkv-23071-occt was created from git branch CR23071
(and mkv-23071-products from svn trunk) and compiled on Linux platform.

Test case for this bug is chl/934/Z8. It is OK.

There are not regressions in mkv-23071-products regarding to KAS:dev:products-20120406-opt
There are not improvements in mkv-23071-products regarding to KAS:dev:products-20120406-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-23071-products_12042012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120406-opt_07042012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 858aac03
Timestamp: 2012-05-05 12:26:50
Author: szy
Details ] Diff ]
0023071: Comparison of file extension is case sensitive

Fix makes a temporary copy of the filename and its extension and converts both to lowercase for comparison.
mod - src/FWOSDriver/FWOSDriver_Driver.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-04-05 13:16 mlh New Issue
2012-04-05 13:16 mlh Assigned To => szy
2012-04-05 13:16 mlh File Added: FWOSDriver_Driver.cxx
2012-04-12 15:25 szy Note Added: 0020358
2012-04-12 15:25 szy Assigned To szy => vro
2012-04-12 15:25 szy Status new => resolved
2012-04-12 15:27 szy Target Version => 6.5.4
2012-04-12 16:05 vro Note Added: 0020359
2012-04-12 16:05 vro Assigned To vro => mkv
2012-04-12 16:05 vro Status resolved => reviewed
2012-04-13 17:09 mkv Test case number => chl 934 Z8
2012-04-17 17:46 mkv Note Added: 0020406
2012-04-17 17:46 mkv File Added: Z8
2012-04-17 17:47 mkv Assigned To mkv => bugmaster
2012-04-17 17:47 mkv Status reviewed => tested
2012-05-10 15:35 szy Changeset attached => occt master 858aac03
2012-05-10 15:36 szy Assigned To bugmaster => szy
2012-05-10 15:36 szy Status tested => verified
2012-05-10 15:36 szy Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker